* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --text-color: white;
    --bg-url: linear-gradient(135deg, #473f36 0%, #b26a3d 100%);
    --stroke-color: rgba(255, 255, 255, 0.5);
    --surface-color: rgba(255, 255, 255, 0.5);
    --surface-color-hover: rgba(0, 0, 0, 0.2);
    --highlight-color: rgba(255, 255, 255, 0.3);
    --switch-bg-url: url(./assets/moon-star.svg);
}

.light {
    --text-color: black;
    --bg-url: linear-gradient(135deg, #dfdad6 0%, #b6622d 100%);
    --stroke-color: rgba(0, 0, 0, 0.5);
    --surface-color: rgba(0, 0, 0, 0.08);
    --surface-color-hover: rgba(0, 0, 0, 0.05);
    --highlight-color: rgba(0, 0, 0, 0.3);
    --switch-bg-url: url(./assets/son.svg);
}

body {
    background: var(--bg-url) no-repeat top center/cover;
    height: 100%;
    margin: 0;
    padding: 0;
}

body * {
    font-family: 'inter', sans-serif;
    color: var(--text-color);
}

#container {
    width: 360px;
    margin: 56px auto 0px auto;
    padding: 0 24px;
}

#profile {
    text-align: center;
    padding: 24px;
}

#profile img {
    width: 112px;
}

#profile p {
    font-weight: 500;
    line-height: 24px;
    margin-top: 8px;
}

#switch {
    position: relative;
    width: 64px;
    margin: 4px auto 20px;
}

#switch button {
    width: 32px;
    height: 32px;
    background: white var(--switch-bg-url) no-repeat center;
    border: 0;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 1;
    transform: translateY(-50%);
}

.light #switch button {
    right: 0;
    left: initial;
}

#switch span {
    display: block;
    width: 64px;
    height: 24px;
    background-color: var(--surface-color);
    border: 1px solid var(--stroke-color);
    backdrop-filter: blur(4px);
    border-radius: 9999px;
}

/*links*/
ul {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

ul li a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 16px 24px;
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid var(--stroke-color);
    border-radius: 8px;
    backdrop-filter: blur(4px);
    text-decoration: none;
    font-weight: 500;
    font-size: 19px;
    transition: all 0.2s;
}

ul li a:hover {
    background: var(--surface-color-hover);
    border: 1.5px solid var(--text-color);
}

#social-link {
    display: flex;
    justify-content: center;
    gap: 5px;
    padding: 24px 0;
    font-size: 35px;
}

#social-link a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 16px;
    transition: background 0.2s;
    border-radius: 50%;
}

#social-link a:hover {
    background: var(--highlight-color);
    padding: 16px;
}
